

package notificacionRequest;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the generated package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: generated
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link IFX }
     * 
     */
    public IFX createIFX() {
        return new IFX();
    }

    /**
     * Create an instance of {@link IFX.SignoffRq }
     * 
     */
    public IFX.SignoffRq createIFXSignoffRq() {
        return new IFX.SignoffRq();
    }

    /**
     * Create an instance of {@link IFX.PaySvcRq }
     * 
     */
    public IFX.PaySvcRq createIFXPaySvcRq() {
        return new IFX.PaySvcRq();
    }

    /**
     * Create an instance of {@link IFX.PaySvcRq.PmtAddRq }
     * 
     */
    public IFX.PaySvcRq.PmtAddRq createIFXPaySvcRqPmtAddRq() {
        return new IFX.PaySvcRq.PmtAddRq();
    }

    /**
     * Create an instance of {@link IFX.PaySvcRq.PmtAddRq.PmtInfo }
     * 
     */
    public IFX.PaySvcRq.PmtAddRq.PmtInfo createIFXPaySvcRqPmtAddRqPmtInfo() {
        return new IFX.PaySvcRq.PmtAddRq.PmtInfo();
    }

    /**
     * Create an instance of {@link IFX.PaySvcRq.PmtAddRq.PmtInfo.RemitInfo }
     * 
     */
    public IFX.PaySvcRq.PmtAddRq.PmtInfo.RemitInfo createIFXPaySvcRqPmtAddRqPmtInfoRemitInfo() {
        return new IFX.PaySvcRq.PmtAddRq.PmtInfo.RemitInfo();
    }

    /**
     * Create an instance of {@link IFX.PaySvcRq.PmtAddRq.PmtInfo.DepAcctIdFrom }
     * 
     */
    public IFX.PaySvcRq.PmtAddRq.PmtInfo.DepAcctIdFrom createIFXPaySvcRqPmtAddRqPmtInfoDepAcctIdFrom() {
        return new IFX.PaySvcRq.PmtAddRq.PmtInfo.DepAcctIdFrom();
    }

    /**
     * Create an instance of {@link IFX.PaySvcRq.PmtAddRq.MsgRqHdr }
     * 
     */
    public IFX.PaySvcRq.PmtAddRq.MsgRqHdr createIFXPaySvcRqPmtAddRqMsgRqHdr() {
        return new IFX.PaySvcRq.PmtAddRq.MsgRqHdr();
    }

    /**
     * Create an instance of {@link IFX.SignonRq }
     * 
     */
    public IFX.SignonRq createIFXSignonRq() {
        return new IFX.SignonRq();
    }

    /**
     * Create an instance of {@link IFX.SignonRq.SignonPswd }
     * 
     */
    public IFX.SignonRq.SignonPswd createIFXSignonRqSignonPswd() {
        return new IFX.SignonRq.SignonPswd();
    }

    /**
     * Create an instance of {@link IFX.SignoffRq.CustId }
     * 
     */
    public IFX.SignoffRq.CustId createIFXSignoffRqCustId() {
        return new IFX.SignoffRq.CustId();
    }

    /**
     * Create an instance of {@link IFX.PaySvcRq.PmtAddRq.PmtInfo.BillerId }
     * 
     */
    public IFX.PaySvcRq.PmtAddRq.PmtInfo.BillerId createIFXPaySvcRqPmtAddRqPmtInfoBillerId() {
        return new IFX.PaySvcRq.PmtAddRq.PmtInfo.BillerId();
    }

    /**
     * Create an instance of {@link IFX.PaySvcRq.PmtAddRq.PmtInfo.CurAmt }
     * 
     */
    public IFX.PaySvcRq.PmtAddRq.PmtInfo.CurAmt createIFXPaySvcRqPmtAddRqPmtInfoCurAmt() {
        return new IFX.PaySvcRq.PmtAddRq.PmtInfo.CurAmt();
    }

    /**
     * Create an instance of {@link IFX.PaySvcRq.PmtAddRq.PmtInfo.DepAcctIdTo }
     * 
     */
    public IFX.PaySvcRq.PmtAddRq.PmtInfo.DepAcctIdTo createIFXPaySvcRqPmtAddRqPmtInfoDepAcctIdTo() {
        return new IFX.PaySvcRq.PmtAddRq.PmtInfo.DepAcctIdTo();
    }

    /**
     * Create an instance of {@link IFX.PaySvcRq.PmtAddRq.PmtInfo.RemitInfo.RefInfo }
     * 
     */
    public IFX.PaySvcRq.PmtAddRq.PmtInfo.RemitInfo.RefInfo createIFXPaySvcRqPmtAddRqPmtInfoRemitInfoRefInfo() {
        return new IFX.PaySvcRq.PmtAddRq.PmtInfo.RemitInfo.RefInfo();
    }

    /**
     * Create an instance of {@link IFX.PaySvcRq.PmtAddRq.PmtInfo.DepAcctIdFrom.BankInfo }
     * 
     */
    public IFX.PaySvcRq.PmtAddRq.PmtInfo.DepAcctIdFrom.BankInfo createIFXPaySvcRqPmtAddRqPmtInfoDepAcctIdFromBankInfo() {
        return new IFX.PaySvcRq.PmtAddRq.PmtInfo.DepAcctIdFrom.BankInfo();
    }

    /**
     * Create an instance of {@link IFX.PaySvcRq.PmtAddRq.MsgRqHdr.NetworkTrnInfo }
     * 
     */
    public IFX.PaySvcRq.PmtAddRq.MsgRqHdr.NetworkTrnInfo createIFXPaySvcRqPmtAddRqMsgRqHdrNetworkTrnInfo() {
        return new IFX.PaySvcRq.PmtAddRq.MsgRqHdr.NetworkTrnInfo();
    }

    /**
     * Create an instance of {@link IFX.SignonRq.SignonPswd.CustId }
     * 
     */
    public IFX.SignonRq.SignonPswd.CustId createIFXSignonRqSignonPswdCustId() {
        return new IFX.SignonRq.SignonPswd.CustId();
    }

}
